#include "era.h"

using namespace std;

EraSMS::EraSMS(Config &config) : GenericSMS(config)
{
	omnix_user = config["omnix_user"];
	omnix_pass = config["omnix_pass"];
}


bool EraSMS::Send(const std::string &phone_no, const std::string &message)
{
	bool ok;
	CURLcode status;
	Curl_Form form;
	string headers;
	
	form.AddField("minute", "");
	form.AddField("number", phone_no.substr(1));
	form.AddField("hour", "");
	form.AddField("password", omnix_pass);
	form.AddField("login", omnix_user);
	form.AddField("message", message);
	form.AddField("success", "http://localhost/era");
	form.AddField("contact", "");
	form.AddField("failure", "http://localhost/era");
	
	status = curl.PerformPost("http://www.eraomnix.pl/sms/do/extern/tinker/free/send", form.PostFields());
	if (status == 0) {
		headers = curl.Headers();
		ok = headers.find("X-ERA-counter") != (size_t)-1;
	} throw Exception("[1] post - X-ERA-counter not found");
	
	return ok;
}

